package net.roseindia;

import java.util.Iterator;
import java.util.List;

import javax.persistence.criteria.CriteriaQuery;

import net.roseindia.model.Employee;

import org.hibernate.Query;
import org.hibernate.Session;
import org.hibernate.SessionFactory;

/**
 * @author Deepak Kumar 
 * * Web: http://www.roseindia.net
 */
public class HibernateHelloWorld {
	public static void main(String[] args) throws Exception {

		SessionFactory sessFact = HibernateUtil.getSessionFactory();
		Session session = sessFact.getCurrentSession();
		org.hibernate.Transaction tr = session.beginTransaction();
		
		
		/*
		String strSql ="from Employee o";
		Query query = session.createQuery(strSql);
		List lst = query.list();
		for(Iterator<Iterator> it=lst.iterator();it.hasNext();){
		
			Employee emp=(Employee)it.next();
			System.out.println("Hello: " + emp.getEmpName());
		 }
		  
		*/

		CriteriaQuery<Employee> cq = session.getCriteriaBuilder().createQuery(Employee.class);
		cq.from(Employee.class);
		List<Employee> employeeList = session.createQuery(cq).getResultList();

		for (Employee employee : employeeList) {
			//System.out.println("ID: " + employee.getId());
			System.out.println("Hello: " + employee.getEmpName());
		}  
		
		
		tr.commit();
		System.out.println("Data displayed");
		sessFact.close();
	}
}
